MAPI
AudioSuno

Download Audio

Submit this Suno capability through POST /v1/music/generations with model: "suno-download". This replaces the retired suno-wav model.

POST
/v1/music/generations

Authorization

BearerAuth

AuthorizationBearer <token>

使用 MAPI Bearer Token 认证。格式:Authorization: Bearer sk-xxxxxx。

In: header

Request Body

application/json

model*string

固定填写 suno-download。

task_id*string

源歌曲任务 ID,必填。须已完成且含可下载音轨。

audio_index?integer

源任务 music[] 第几首,1-based,默认 1。

Default1
Range1 <= value
formats?array<string>

要下载的格式数组,至少一项。可与 format 二选一。

Items1 <= items
format?string

只下载一种格式时可用本字段代替 formats。

Value in"mp3" | "m4a" | "wav"

Response Body

application/json

application/json

curl -X POST "https://loading/v1/music/generations" \  -H "Content-Type: application/json" \  -d '{    "model": "suno-download",    "task_id": "task_source123",    "audio_index": 1,    "formats": [      "mp3",      "wav"    ]  }'
{
  "code": 200,
  "message": "success",
  "data": [
    {
      "status": "submitted",
      "task_id": "task_aehCmxJ5YUNOIQGgkhvxaco4T9P2h3Dw"
    }
  ]
}
{
  "code": "invalid_request",
  "message": "suno-download requires at least one format (use 'formats' or 'format')",
  "data": null
}

Last updated on